Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class DoubleSeqHelper

    java.lang.Object
      org.omg.CORBA.DoubleSeqHelper

    public abstract class DoubleSeqHelper

extends Object

The Helper for `DoubleSeq`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/DoubleSeqHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from streams.idl 13 May 1999 22:41:37 o'clock GMT+00:00 The class definition has been modified to conform to the following OMG specifications :

- ORB core as defined by CORBA 2.3.1 (formal/99-10-07)
- IDL/Java Language Mapping as defined in ptc/00-01-08

Constructor Summary
`DoubleSeqHelper()`

Method Summary
`static double[]` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, double[] that)`
`static double[]` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, double[] value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleSeqHelper

    public DoubleSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              double[] that)

### extract

    public static double[] extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static double[] read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             double[] value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.